Subject: Re: maybe breakage with latest git-pull and http protocol

From: Nick Hengeveld <[email-masked]>
Date: Sat, 15 Oct 2005 14:56:48 -0700

On Sat, Oct 15, 2005 at 03:41:35PM -0400, Daniel Barkalow wrote:

> > BTW, I do not think this is related to git.git repository
> > problem, but I wonder why we do not do fetch_object() against
> > each altbase in http-fetch.c::fetch(); nobody said you cannot
> > borrow unpacked object from your neighbour.
> 
> I believe the code is doing that, but elsewhere.

Er, never mind what I said in my previous message.  Daniel is correct,
process_curl_messages() will try the next altbase if a request 404s.

-- 
For a successful technology, reality must take precedence over public
relations, for nature cannot be fooled.